### Function

# FwupdPlugin struct_fdt_prop_parse

since: 1.0

#### Declaration [src]

    FuStructFdtProp*
    fu_struct_fdt_prop_parse (
      const guint8* buf,
      gsize bufsz,
      gsize offset,
      GError** error
    )

#### Description

No description available.

Available since: 1.0

This function is not directly available to language bindings.

#### Parameters

`buf`

  Type: `const guint8*`

  No description available.

  The data is owned by the caller of the function.

`bufsz`

  Type: `gsize`

  No description available.

`offset`

  Type: `gsize`

  No description available.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuStructFdtProp`

No description available.

The data is owned by the called function.